package com.ibm.commerce.sap.jca.commands;

/*
 *-------------------------------------------------------------------
 * Licensed Materials - Property of IBM
 *
 * 5724-A18
 *
 * (c) Copyright International Business Machines Corporation. yyyy, 2003
 *     All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 *-------------------------------------------------------------------
 */

//*---------------------------------------------------------------------
//* The sample contained herein is provided to you "AS IS".
//*
//* It is furnished by IBM as a simple example and has not been  
//* thoroughly tested
//* under all conditions.  IBM, therefore, cannot guarantee its 
//* reliability, serviceability or functionality.  
//*
//* This sample may include the names of individuals, companies, brands 
//* and products in order to illustrate concepts as completely as 
//* possible.  All of these names
//* are fictitious and any similarity to the names and addresses used by 
//* actual persons 
//* or business enterprises is entirely coincidental.
//*---------------------------------------------------------------------
//*


////////////////////////////////////////////////////////////////////////////////
//
// Change History:
//
// YYMMDD  	WHO               Description
// --------------------------------------------------------------------
// 020525   	Nagaveni Sastry
//
////////////////////////////////////////////////////////////////////////////////



import com.ibm.commerce.ras.*;
import com.ibm.commerce.exception.*;
import com.ibm.commerce.fulfillment.commands.*;

/**
 * This class is overridden to do nothing as inventory allocation/deallocation
 * happens in SAP 
 */
public class SAPDeallocateExistingInventoryCmdImpl extends DeallocateExistingInventoryCmdImpl implements DeallocateExistingInventoryCmd
{
	public static final String COPYRIGHT                 = com.ibm.commerce.copyright.IBMCopyright.SHORT_COPYRIGHT;
	protected static String istrThisClass                = "com.ibm.commerce.sap.jca.commands.SAPDeallocateExistingInventoryCmdImpl";	
	protected static String istrPerformFunc              = "performExecute";


/**
 * contains no business logic
 */
public void performExecute() throws ECException
{

		/**
 * Overridden for null implementation as the allocation
 * of inventory happens in SAP
 */
	final String methodName = istrPerformFunc;
	
	ECTrace.entry(ECTraceIdentifiers.COMPONENT_EXTERN, istrThisClass, methodName);

	// does nothing
	
	ECTrace.exit(ECTraceIdentifiers.COMPONENT_EXTERN, istrThisClass, methodName);
}
}
