package com.ibm.commerce.sap.jca.commands;

/*
 *-------------------------------------------------------------------
 * Licensed Materials - Property of IBM
 *
 * 5724-A18
 *
 * (c) Copyright International Business Machines Corporation. yyyy, 2003
 *     All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 *-------------------------------------------------------------------
 */

//*---------------------------------------------------------------------
//* The sample contained herein is provided to you "AS IS".
//*
//* It is furnished by IBM as a simple example and has not been  
//* thoroughly tested
//* under all conditions.  IBM, therefore, cannot guarantee its 
//* reliability, serviceability or functionality.  
//*
//* This sample may include the names of individuals, companies, brands 
//* and products in order to illustrate concepts as completely as 
//* possible.  All of these names
//* are fictitious and any similarity to the names and addresses used by 
//* actual persons 
//* or business enterprises is entirely coincidental.
//*---------------------------------------------------------------------
//*


////////////////////////////////////////////////////////////////////////////////
//
// Change History:
//
// YYMMDD  	WHO    Description
// --------------------------------------------------------------------
// 020527  	Rajesh Danda
//
////////////////////////////////////////////////////////////////////////////////


import com.ibm.commerce.datatype.*;
import com.ibm.commerce.ras.*;
import com.ibm.commerce.exception.*;
import com.ibm.commerce.usermanagement.commands.*;

/**
 * The new implementation class for PostOrgEntityRegistrationCmd
 * This invokes AddSapOrgEntityCmd to register the Organization(Reference Customer)
 * in SAP.
 */
 
public class SAPExtPostOrgEntityAddCmdImpl extends PostOrgEntityAddCmdImpl implements PostOrgEntityAddCmd
{
	public static final String COPYRIGHT = com.ibm.commerce.copyright.IBMCopyright.SHORT_COPYRIGHT;
	public final static String CLASSNAME = "com.ibm.commerce.sap.jca.commands.SAPExtPostOrgEntityAddCmdImpl";
	protected TypedProperty requestProperties = null;
	protected TypedProperty responseProperties = null;
public TypedProperty getRequestProperties()
{
	return requestProperties;
}
public TypedProperty getResponseProperties()
{
	return responseProperties;
}
public void performExecute() throws com.ibm.commerce.exception.ECException
{
	final String METHODNAME = "performExecute"; 		 
    ECTrace.entry(ECTraceIdentifiers.COMPONENT_EXTERN, CLASSNAME, METHODNAME);


	//Add the business logic here
	AddSAPOrgEntityCmd orgEntity = (AddSAPOrgEntityCmd) com.ibm.commerce.command.CommandFactory.createCommand(com.ibm.commerce.sap.jca.commands.AddSAPOrgEntityCmd.NAME,getStoreId());
	orgEntity.setRequestProperties(requestProperties);
	orgEntity.setResponseProperties(responseProperties);
	orgEntity.execute();

	orgEntity.getRequestProperties();
	orgEntity.getResponseProperties();

	ECTrace.exit(ECTraceIdentifiers.COMPONENT_EXTERN, CLASSNAME, METHODNAME);
}
public void setRequestProperties(TypedProperty aRequestProperties)
{
	requestProperties = aRequestProperties;
}
public void setResponseProperties(TypedProperty aResponseProperties)
{
	responseProperties = aResponseProperties;
}
}
